Bug 557916 - [abrt] crash in rsync-3.0.7-1.fc12
Summary: [abrt] crash in rsync-3.0.7-1.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jan Zeleny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:03d46c275979d6af6e5e7b5ff5a...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-22 19:40 UTC by John F
Modified: 2010-04-20 13:13 UTC (History)
3 users (show)

Fixed In Version: rsync-3.0.7-3.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-16 23:25:35 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (7.30 KB, text/plain)
2010-01-22 19:40 UTC, John F
no flags Details

Description John F 2010-01-22 19:40:10 UTC
abrt 1.0.3 detected a crash.

Comment: i was rsyncing a folder from a cifs share served on Windows 7
Attached file: backtrace
cmdline: rsync -a 'Good Good M' /home/jhford/Music/ --progress
component: rsync
executable: /usr/bin/rsync
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: rsync-3.0.7-1.fc12
rating: 4
reason: Process was terminated by signal 6 (Aborted)

Comment 1 John F 2010-01-22 19:40:11 UTC
Created attachment 386229 [details]
File: backtrace

Comment 2 Jan Zeleny 2010-01-22 21:51:42 UTC
By looking at the attachment, what happens is a stack overflow caused by a very long path to a file.

I added a patch fixing this issue by skipping such a file. Giving the patch to upstream, they might figure out a better solution.

Comment 3 Jan Zeleny 2010-01-25 08:01:50 UTC
Reference to upstream bugzilla:
https://bugzilla.samba.org/show_bug.cgi?id=7057

Comment 4 Fedora Update System 2010-03-10 11:03:37 UTC
rsync-3.0.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rsync-3.0.7-2.fc12

Comment 5 Fedora Update System 2010-03-11 07:15:06 UTC
rsync-3.0.7-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rsync'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rsync-3.0.7-2.fc12

Comment 6 Fedora Update System 2010-03-16 23:25:30 UTC
rsync-3.0.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Matt McCutchen 2010-03-17 08:16:17 UTC
Upstream claims the stack overflow cannot happen; we have no evidence that it is real besides this one abrt report.  Why does this merit pushing an update to all Fedora users?

Comment 8 Jan Zeleny 2010-03-17 08:35:18 UTC
I submitted the update to testing, stable push has been done automatically. If there is a problem with the patch, I think posting a comment there while it was in testing would be appropriate. Do you have any evidence that the patch breaks something? I agree that it seems redundant on sane systems, but I don't think it can actually break something.

At this point, I'd also like to know a result from reporter. Does the patch fix the issue for you?

Comment 9 Matt McCutchen 2010-03-23 22:32:17 UTC
(In reply to comment #8)
> I submitted the update to testing, stable push has been done automatically. If
> there is a problem with the patch, I think posting a comment there while it was
> in testing would be appropriate.

Sorry, I had neglected to CC myself on this bug, so I had no idea the update had gone to testing until I happened to check on 2010-03-17 and saw it was already in stable.  I had assumed the update was on hold indefinitely until more information about the issue came to light.

> Do you have any evidence that the patch breaks
> something?

No, given that I think the code is unreachable.  But neither do you have any evidence that it fixes something.  IMO, that should be a minimum requirement for submitting an update.

Comment 10 Fedora Update System 2010-03-29 09:21:25 UTC
rsync-3.0.7-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rsync-3.0.7-3.fc12

Comment 11 Fedora Update System 2010-03-29 09:31:07 UTC
rsync-3.0.7-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rsync-3.0.7-3.fc13

Comment 12 Jan Zeleny 2010-03-29 13:55:43 UTC
The original patch has been proven ineffective, the last update contains patch provided by upstream, which should finally fix the issue. Please test new packages linked in comment 10 and comment 11.

Comment 13 Fedora Update System 2010-04-16 23:44:38 UTC
rsync-3.0.7-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-04-20 13:13:53 UTC
rsync-3.0.7-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.